Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.admin
Class RegisteredInfoCardInfoAdmin

    java.lang.Object
      org.wso2.solutions.identity.admin.RegisteredInfoCardInfoAdmin

    public class RegisteredInfoCardInfoAdmin

extends java.lang.Object

Constructor Summary
`RegisteredInfoCardInfoAdmin()`

Method Summary
`java.util.List` | `getAllRegisteredInfoCards(java.lang.String userId)`
`RegisteredInfoCardInfoDO` | `getInfo(java.lang.String ppid)`
`boolean` | `isRegistedInformationCard(java.lang.String ppid)` Check whether there is a registered information card with the given ppid.
`void` | `registerNewInfoCardInformation(java.lang.String ppid, java.lang.String userId, java.lang.String issuerInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegisteredInfoCardInfoAdmin

    public RegisteredInfoCardInfoAdmin()

Method Detail

### registerNewInfoCardInformation

    public void registerNewInfoCardInformation(java.lang.String ppid,
                                               java.lang.String userId,
                                               java.lang.String issuerInfo)
                                        throws IdentityProviderException

  Throws:
    `IdentityProviderException`

### isRegistedInformationCard

    public boolean isRegistedInformationCard(java.lang.String ppid)
                                      throws IdentityProviderException

  Check whether there is a registered information card with the given ppid.

  Parameters:
    `ppid` - The ppid to be checked for.
  Returns:
    true if there is a registered card exists with the given ppid.
  Throws:
    `IdentityProviderException`

### getAllRegisteredInfoCards

    public java.util.List getAllRegisteredInfoCards(java.lang.String userId)
                                             throws IdentityProviderException

  Throws:
    `IdentityProviderException`

### getInfo

    public RegisteredInfoCardInfoDO getInfo(java.lang.String ppid)
                                     throws IdentityProviderException

  Throws:
    `IdentityProviderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD